<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class med_profile_lines_SINGLE_Controller extends Controller
{
    public $selfName = 'med_profile_lines_SINGLE_Controller';

	// GET /med_profile_lines/view/{uid}/ACTION_remove
	public function ACTION_remove(Request $request, $uid) {
		$record = DB::table('client_info_line')->where('uid', $uid)->first();
		return response()->view('pro/med_profile_lines_SINGLE/ACTION_remove', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /med_profile_lines/view/{uid}/ACTION_updateContent
	public function ACTION_updateContent(Request $request, $uid) {
		$record = DB::table('client_info_line')->where('uid', $uid)->first();
		return response()->view('pro/med_profile_lines_SINGLE/ACTION_updateContent', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /med_profile_lines/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('client_info_line')->where('uid', $uid)->first();
		return response()->view('pro/med_profile_lines_SINGLE/SUB_dashboard', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}
}
